Download it now!
Bug 89943 - SVG graph export loses legend text depending on history
Summary: SVG graph export loses legend text depending on history
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.6.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2015-03-11 04:07 UTC by Roland Roberts
Modified: 2019-05-14 02:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Spreadsheet with Graph, when exported as SVG legend text is missing (axis labels are fine) (31.69 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-03-13 16:07 UTC, Roland Roberts
Details
114084 att tweaked with titles, another ledgend and area fills (20.83 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-03-13 17:09 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Roberts 2015-03-11 04:07:32 UTC
Version is reported 4.3.6.2-3.fc21

If I create a graph and add a legend, then export as SVG all if fine. If the legend was cut and pasted back into the same graph it came from, it displays fine, but when exported, the legend text is missing.
Comment 1 V Stuart Foote 2015-03-11 05:17:08 UTC
@Roland,

Your STR are a bit thin... but suspect this to be duplicate of bug 32248 - FILEOPEN SVG no TEXT visible

Please give us a bit more to work with, or close as duplicate.
Comment 2 Roland Roberts 2015-03-13 16:07:14 UTC
Created attachment 114084 [details]
Spreadsheet with Graph, when exported as SVG legend text is missing (axis labels are fine)
Comment 3 Roland Roberts 2015-03-13 16:14:56 UTC
I've added a spreadsheet that shows the problem. Text in general is displayed fine, and the symptom _only_ shows up is the legend is cut and pasted back into the graph.

I only found it because of an old habit. It used to be that if you dragged the legend to be on top of the graph, the graph boundaries did not resize. The only way to insert a legend overlaying part of the graph was to create it, cut it, then paste it back in. At some point that changed, and you can just drag the legend onto the graph area, so there's not reason for me to do it this way.

The legend text is fine when displayed in calc. It also displays fine when exported as PNG. Maybe its the same underlying problem as bug 32248, but that sounds like problems with importing SVGs.
Comment 4 V Stuart Foote 2015-03-13 17:01:26 UTC
Confirming
Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: en_US

Similar but not bug 32248 which is for FileOpen. This is an export filter issue.

With the imported/copy pasted SVG its text is missing when rendered back out to SVG.

But with Export as Image as .PNG or .JPG, rather than .SVG, the text in the legend is present. So it is there and being read by export filter, the SVG text is just not being rendered correctly.

Attaching a riff on original ODS and chart with mix of background fills.
Comment 5 V Stuart Foote 2015-03-13 17:09:38 UTC
Created attachment 114085 [details]
114084 att tweaked with titles, another ledgend and area fills

same ODS with chart, some tweaks to add background fill, titles, and an additional legend.

STR

1. select chart
2. Export as Image
3. select SVG format
4. repeat select PNG, JPG, EMF format
5. different outputs from filter--but output filter to SVG format alone loses lettering of the pasted metafile, also mangles vertical lettering of y-axis title
Comment 6 tommy27 2016-04-16 07:24:28 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16
Comment 7 QA Administrators 2019-05-14 02:56:07 UTC
Dear Roland Roberts,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug